png_reader.cpp File Reference

Implementation of the claw::graphic::png::reader class. More...

`#include <claw/png.hpp>`
`#include <claw/exception.hpp>`
`#include <claw/assert.hpp>`
`#include <limits>`

Go to the source code of this file.

## Functions

void | claw__graphic__png__source_manager__read (png_structp png_ptr, png_bytep data, png_size_t length)
| Read data from the input stream.

## Detailed Description

Implementation of the claw::graphic::png::reader class.

Author
  Julien Jorge

Definition in file png_reader.cpp.

## Function Documentation

## claw__graphic__png__source_manager__read()

void claw__graphic__png__source_manager__read | ( | png_structp | png_ptr,
|  | png_bytep | data,
|  | png_size_t | length )

Read data from the input stream.

Parameters

  png_ptr | Informations about the PNG we are reading.
  data | (out) Array of the bytes we have read.
  length | Number of bytes to read.

Definition at line 44 of file png_reader.cpp.

References claw::graphic::png::reader::source_manager::read().